#3016 closed defect (fixed)

missing a couple register names + a #ifndef __ASM__ around serial.h inclusion

Reported by: phongvanpham Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: bsps Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

In rtems\c\src\libchip\serial\ns16550_p.h, need to add a couple register and #ifndef around serial.h

Attachments (3)

ns16550_p.h (3.4 KB) - added by phongvanpham on May 9, 2017 at 11:46:27 PM.
Baseline of this version is 4.12
ns16550_p.h.orig (3.4 KB) - added by phongvanpham on May 9, 2017 at 11:46:47 PM.
This is the original file (before change) for diff'ing purposes to see code delta
0001-missing-a-couple-register-names-a-ifndef_ASM__-aroun.patch (1.1 KB) - added by phongvanpham on May 12, 2017 at 6:43:53 PM.
patch

Download all attachments as: .zip

Change History (8)

Changed on May 9, 2017 at 11:46:27 PM by phongvanpham

Attachment: ns16550_p.h added

Baseline of this version is 4.12

Changed on May 9, 2017 at 11:46:47 PM by phongvanpham

Attachment: ns16550_p.h.orig added

This is the original file (before change) for diff'ing purposes to see code delta

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on May 12, 2017 at 5:14:21 AM by Sebastian Huber

Please generate the Git patch with your real name and a valid e-mail address.

This ns16550_p.h is a private header file, why do you have to change it?

comment:3 Changed on May 14, 2017 at 3:50:58 AM by Phong Pham <phamp@…>

Resolution: fixed
Status: newclosed

In f219adc/rtems:

missing a couple register names + a #ifndef_ASM around serial.h inclusion

Closes #3016.

comment:4 in reply to:  2 Changed on May 17, 2017 at 4:15:26 PM by phongvanpham

Replying to Sebastian Huber:

Please generate the Git patch with your real name and a valid e-mail address.

This ns16550_p.h is a private header file, why do you have to change it?

The changes are b/c a couple of register names are missing. Yes one can use another name with the intended value; however, this is unmaintainable code. As you can see, there are different names of the same value (register number) in the file.

The reason to use #ifndef here is b/c I intend to use the file elsewhere in my BSP. Basically, I cherry pick code to maximize reuse in order to meet my needs. If you object to this particular change, (thus my needs are not met,) I will copy the file to my BSP to resolve my problem; thus a lack of sharing/reusing.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.